routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'AccueilController@index')->name('accueil.index');
Auth::routes();
Route::get('logout', 'Auth\LoginController@logout');

Route::get('/accueil', 'AccueilController@index')->name('accueil.index');
Route::get('/article/{id}', 'ArticleController@show')->name('article.show');
Route::get('/category/{id}', 'CategoryController@show')->name('category.show');
Route::get('/Inscription', 'InscriptionController@create')->name('inscription.create');
Route::post('/InscriptionStore', 'InscriptionController@store')->name('inscription.store');
Route::get('/Contact', 'ContactController@create')->name('contact.show');
Route::get('/contact/check/{contact}/{token}', 'ContactController@validation')->name('contact.check');
Route::post('/contact', 'ContactController@store')->name('contact.store');

Route::prefix('adm13')->name('admin.')->namespace('Back')->middleware('can:gate-connexion')->group(function () {
    Route::get('/', 'CategoryController@index')->name('back.home');
    // Route::get('/', 'IndexController@index')->name('back.home');

    Route::post('/article/addFile', 'ArticleController@addFile')->name('article.addFile');
    Route::post('/article/delFile{id}', 'AjaxController@delFile')->name('ajax.delFile');
    Route::resource('/article', 'ArticleController');
    Route::get('/mes-articles', 'ArticleController@my')->name('article.my');;
    Route::post('/export-membres', 'RegistrationController@export')->name('registration.export');;
    Route::resource('/registration', 'RegistrationController');
    Route::post('/category/create', 'CategoryController@create')->name('category.create');
    Route::post('/category/addChildren', 'CategoryController@addChildren')->name('category.addChildren');
    Route::post('/category/addFile', 'CategoryController@addFile')->name('category.addFile');
    Route::post('/category/delFile/{idCategorie}', 'CategoryController@delFile')->name('category.delFile');
    Route::resource('/category', 'CategoryController');
    Route::resource('/file', 'FileController');
    Route::resource('/evenement', 'EventController');


});


// Route::get('/home', 'HomeController@index')->name('home');

Route::get('{url}', 'DynamicController@manage')
        ->where('url', '([A-Za-z0-9-_]+)');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Http/Controllers/ArticleController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Articles;
use App\Repositories\ArticlesRepository;
use Gate;

class ArticleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('front.article.index', ['articles' => (new ArticlesRepository())->getAll()]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $article = (new Articles())->find($id);
        if ($article) {
            if (
                $article->statut === Articles::ETAT_PUBLIE ||
                Gate::allows('gate-author-of-article', $article)
            ) {
                return view('front.article.show', ['article' => $article]);
            } else {
                return redirect()->route('accueil.index')->with('messageError', __('common.autorisation_page_front'));
            }
        }
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Back/AjaxController.php
<?php

namespace App\Http\Controllers\Back;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AjaxController extends Controller
{
    /**
     * Ajoute un fichier à une rubrique
     *
     * @param  \Illuminate\Http\Requests  $request
     * @return \Illuminate\Http\Response
     */
    public function delFile(Request $request, $id) {
        return json_encode(
                (new \App\Repositories\FileRepository())->delFile($request->input()['id'], $id)
        );
    }
}

app/Http/Controllers/Back/ArticleController.php
<?php

namespace App\Http\Controllers\Back;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Articles;
use App\Repositories\ArticlesRepository;
use App\Models\File;
use Illuminate\Support\Facades\Storage;
use Intervention\Image\Facades\Image as InterventionImage;
use Gate;

class ArticleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('back.article.index', ['articles' => (new ArticlesRepository())->getAll()]);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function my()
    {
        return view('back.article.index', ['articles' => (new ArticlesRepository())->getAllByAuteur(isGuest()->id)]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if (Gate::allows('gate-staff')) {
            return view('back.article.create', ['article' => null]);
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Articles $article)
    {
        if (Gate::allows('gate-staff')) {
            $articleRepo = new ArticlesRepository();
            $article = $articleRepo->save($request, $article);
            return redirect()->route('admin.article.edit', $article)->with('messageSuccess', __('common.message_maj'));
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Articles $article)
    {
        if (Gate::allows('gate-staff')) {
            return view('back.article.edit', [
                'article' => $article
            ]);
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Articles $article)
    {
        //@todo parent
        if (Gate::allows('gate-staff')) {
            $article->texte = $request->get('nicarea');
            $article->texte = str_replace(array('<doc', '|left>', '|right>', '|center>'), array('[doc', '/]', '/]', '/]',), $request->get('nicarea'));
            $article->texte = preg_replace_callback(
                    '`\[doc(.*)\/]`isU', function ($idImg) {
                $image = (new File())->find($idImg[1]);
                if ($image->mode === 'document') {
                    return '<a href="' . url(DISK_PATH_DOCS . $image->fichier) . '" title="' . $image->titre . '">' . $image->titre . '</a>';
                } elseif ($image->mode === 'image') {
                    return '<img src="' . url(DISK_PATH_IMG_STD . $image->fichier) . '" title="' . $image->titre . '" alt="' . $image->desc . '"/>';
                } else {
                    return '<a href="' . url(DISK_PATH_DOCS . $image->fichier) . '" title="' . $image->titre . '">' . $image->titre . '</a>';
                }

            }, $article->texte
            );
            $article->id_rubrique = $request->get('rubrique');
            $article->titre = $request->get('titre');
            $article->maj = date('Y-m-d H:i:s');
            $article->save();
            return redirect()->route('article.edit', $article->id_article)->with('messageSuccess', __('common.message_maj'));
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($article)
    {
        if (Gate::allows('gate-admin')) {
            return response()->json(Articles::destroy($article));
        } else {
            return response()->json('forbiden');
        }
    }

    /**
     * Ajoute un fichier à une rubrique
     *
     * @param  \Illuminate\Http\Requests  $request
     * @return \Illuminate\Http\Response
     * @todo virer les @ nécessaire sur wsl
     */
    public function addFile(Request $request) {
        if (Gate::allows('gate-staff')) {
            foreach ($request->file() as $input => $requestFile) {
                $idArticle = trim(strstr($input, '_'), '_');

                $diskStorage = DISK_DRIVER_DOCS;
                // Création des miniatures
                if (exif_imagetype($requestFile->getPathname()) !== false) {
                    $diskStorage = DISK_DRIVER_IMG_FULL;

                    // Save image
                    $path = @Storage::disk($diskStorage)->putFile('', $requestFile);

                    $image = InterventionImage::make($requestFile)->widen(IMG_MAX_SIZE_STD);
                    @Storage::disk(DISK_DRIVER_IMG_STD)->put($path, $image->encode());
                    $image = InterventionImage::make($requestFile)->widen(IMG_MAX_SIZE_TH);
                    @Storage::disk(DISK_DRIVER_IMG_TH)->put($path, $image->encode());
                } else {
                    $path = @Storage::disk($diskStorage)->putFile('', $requestFile);
                }
                if (@Storage::disk($diskStorage)->exists($path)) {
                    // Save in base
                    return json_encode(
                            (new \App\Repositories\FileRepository())->addFile($requestFile, $path, $idArticle, 'article')
                    );
                } else {
                    return json_encode(false);
                }
            }
            return json_encode(false);
        } else {
            return response()->json('forbiden');
        }
    }
}

app/Http/Controllers/Back/EventController.php
<?php

namespace App\Http\Controllers\Back;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Requests\EventRequest;
use App\Models\Evenements;
use Illuminate\Support\Carbon;
use Gate;

class EventController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $evenements = Evenements::whereDate('date_debut',
            '>',
            Carbon::now()
            ->subYear())
            ->orderBy('date_debut', 'desc')
            ->get();
        return view('back.event.index', ['evenements' => $evenements]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if (Gate::allows('gate-staff')) {
            return view('back.event.create', ['event' => null]);
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(EventRequest $request, Evenements $event)
    {
        $request->merge([
            'date_debut' => Carbon::createFromFormat('d/m/Y H:i', $request->input('date_debut'))->format('Y-m-d H:i:s'),
            'date_fin' => Carbon::createFromFormat('d/m/Y H:i', $request->input('date_fin'))->format('Y-m-d H:i:s'),
            ]);
        $event->create($request->all());
        return redirect()->route('admin.evenement.index')->with('ok', __ ('common.message_enregistrement'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Evenements $evenement)
    {
        if (Gate::allows('gate-staff')) {
            return view('back.event.edit', ['event' => $evenement]);
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(EventRequest $request, Evenements $evenement)
    {
        $request->merge([
            'date_debut' => Carbon::createFromFormat('d/m/Y H:i', $request->input('date_debut'))->format('Y-m-d H:i:s'),
            'date_fin' => Carbon::createFromFormat('d/m/Y H:i', $request->input('date_fin'))->format('Y-m-d H:i:s'),
            ]);
        $evenement->update($request->all());
        return redirect()->route('admin.evenement.index')->with('ok', __ ('common.message_enregistrement'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        if (Gate::allows('gate-staff')) {
            return response()->json(Evenements::destroy($id));
        } else {
            return response()->json('forbiden');
        }
    }
}

app/Http/Controllers/Back/IndexController.php
<?php

namespace App\Http\Controllers\Back;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class IndexController extends Controller
{
    
        /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
//        $this->middleware('auth');
    }
    
    public function index() {
        return view('back.dashboard.index');
    }
}

resources/views/back/article/create.blade.php
<?php
/*
 *  @author  Florent Bonenfant <social1@niweb.eu>
 *  @version 1.0
 */

 $categories = (new \App\Repositories\CategoryRepository)->getAll();

?>
@extends('back.layouts.app')

@section('content')

<section class="content-header">
    <h1>
            {{__('back_article.titre.create')}}
    </h1>
    <ol class="breadcrumb">
        <li><a href="{{ route('admin.back.home')}}"><i class="fa fa-dashboard"></i> {{__('back_common.ariane.home')}}</a></li>
        <li><a href="{{ route('admin.article.index')}}">{{__('back_common.ariane.article')}}</a></li>
    </ol>
</section>


<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">

            <div class="box">
                <!--                <div class="box-header">
                                    <h3 class="box-title">Liste des articles</h3>
                                </div> /.box-header -->
                <div class="box-body">


                    {{-- <div class="col-md-3">
                        <div class="box box-info direct-chat direct-chat-info" >
                            <div class="box-header with-border bg-info">
                                <h3 class="box-title">Documents</h3>
                                <!--<h5 class="widget-user-desc">{-{ $categorie->texte }}</h5>-->
                                <div class="box-tools pull-right">
                                    <!--<span data-toggle="tooltip" title="" class="badge bg-gray" data-original-title="3 New Messages">3</span>-->
                                    <button class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                                    <button class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                                </div>
                            </div><!-- /.box-header -->

                        </div><!--/.direct-chat -->
                    </div><!--/.direct-chat --> --}}
                    <div class="col-md-12">
                    <form action="{{ route('admin.article.store') }}" method="post">
                            {{ csrf_field() }}
                @include('back.article.form')

            </form>
        </div>


                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
@endsection

@section('js')

<!-- SlimScroll -->
<!--<script src="{{ asset('js/jquery.slimscroll.min.js') }}"></script>-->
<script src="{{ asset('js/jquery-ui.min.js') }}"></script>
<script>

bkLib.onDomLoaded(function () {
    new nicEditor({
        iconsPath: '{{ asset("images/nicEditorIcons.gif") }}',
        buttonList: ['save', 'bold', 'italic', 'underline', 'left', 'center', 'right', 'justify', 'ol', 'ul', 'indent', 'outdent', 'fontSize', 'fontFormat', 'image', 'upload', 'link', 'unlink', 'forecolor', 'bgcolor', 'xhtml'],
    }).panelInstance('nicarea')
            ;
});


function addToCursorPosition(textareaId, value) {
    var editor = nicEditors.findEditor(textareaId);
    var range = editor.getRng();
    var editorField = editor.selElm();
    var start = range.startOffset;
    var end = range.endOffset;
    if (editorField.nodeValue != null) {
        editorField.nodeValue = editorField.nodeValue.substring(0, start) +
                value +
                editorField.nodeValue.substring(end, editorField.nodeValue.length);
    } else {
        var content = nicEditors.findEditor(textareaId).getContent().split("<br>");
        var linesCount = 0;
        var before = "";
        var after = "";
        for (var i = 0; i < content.length; i++) {
            if (linesCount < start) {
                before += content[i] + "<br>";
            } else {
                after += content[i] + "<br>";
            }
            linesCount++;
            if (content[i] != "") {
                linesCount++;
            }
        }
        nicEditors.findEditor(textareaId).setContent(before + value + after);
    }

}

$(function () {


    $("#insertFileAjax>tr").draggable({
        appendTo: '.content', //This is just a higher level DOM element
        revert: true,
        cursor: 'pointer',
        zIndex: 1500, // Make sure draggable drags above everything else
        containment: 'DOM',
        helper: 'clone' //Clone it while dragging (keep original intact)
    });


    $("button[name='submitFile']").click(function (e) {

        var myForm = document.getElementById('addFile');
        formData = new FormData(myForm);

        swal({
            title: "Attente...",
            text: "Enregistrement en cours",
            icon: "warning",
            buttons: false,
            dangerMode: false,
        })
        $.ajax({
            url: '<?php echo route('admin.article.addFile') ?>',
            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
            type: 'POST',
            processData: false,
            contentType: false,
            dataType: "json",
            data: formData,

            success: function (data, textStatus, jqXHR) {
                //   $(location).attr('href',"<?php //echo route(Route::current()->parameterNames[0] . '.index')     ?>");
                swal("Abracadabra! le fichier est sur le serveur !", {
                    icon: "success",
                });
                $("#insertFileAjax").append('<tr draggable="true" class="ui-draggable ui-draggable-handle" data_id="' + data.id_document + '" value="' + data.id_document + '">\n\
                            <td><i class="fa fa-fw ' + ((data.extension == 'pdf') ? 'fa-file-pdf-o' : (data.extension != 'zip') ? 'fa-file-image-o' : 'fa-file-archive-o ') + '"></i></td>\n\
                            <td>' + data.titre + '</td>\n\
                        </tr>');
                $("input[name*='article_']").val("");

            },
            error: function (jqXHR, textStatus, errorThrown) {
                swal("Il semble y avoir une erreur sur le serveur, veuillez réessayer plus tard...", {
                    icon: "error",
                })
            }
        });
    });

});
</script>

@endsection
@section('css')
<!-- DataTables -->
<link rel="stylesheet" href="{{ asset('css/dataTables.bootstrap.min.css') }}">
@endsection

resources/views/back/article/index.blade.php
<?php

use Illuminate\Support\Carbon;
use App\Models\Urls;
/*
 *  @author  Florent Bonenfant <social1@niweb.eu>
 *  @version 1.0
 */

?>
@extends('back.layouts.app')

@section('content')

<section class="content-header">
    <h1>
        {{__('back_article.titre.mes_articles')}}
    </h1>
    <ol class="breadcrumb">
        <li><a href="{{ route('admin.back.home')}}"><i class="fa fa-dashboard"></i> {{__('back_common.ariane.home')}}</a></li>
        <li><a href="{{ route('admin.category.index')}}">{{__('back_common.ariane.category')}}</a></li>
        <li class="active">{{__('back_common.ariane.article')}}</li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">

            <div class="box">
                <!--                <div class="box-header">
                                    <h3 class="box-title">Liste des articles</h3>
                                </div> /.box-header -->
                <div class="box-body">
                        <p class="pull-right">
                            @can('gate-staff')
                                <a href="{{ route('admin.article.create')}}" class="btn btn-info btn-flat">
                                    <i class="fa fa-plus"></i> {{ __('common.ajouter')}}
                                </a>
                            @endcan
                        </p>
                    <table id="articles" class="table table-bordered table-hover">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>{{__('back_article.list.article')}}</th>
                                <th>{{__('back_article.list.categorie')}}</th>
                                <th>{{__('back_article.list.auteur')}}</th>
                                <th>{{__('back_article.list.date')}}</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($articles as $article)
                            <tr><?php
                                $url = (new Urls)->getByTypeAndId('article', $article->id_article);
                                if (is_object($url)) {
                                    $url = url($url->url);
                                } else {
                                    $url = url('#');
                                }
                            ?>
                                <td>{{ $article->id_article }}</td>
                                <td><a href="{{ $url }}" target="_blank" title="{{ $article->article }}">{{ $article->article }}</a></td>
                                <td>{{ $article->rubrique }}</td>
                                <td>{{ $article->nom }}</td>
                                <td>{{ (isset($article->date_modif) ? Carbon::createFromFormat('Y-m-d H:i:s', $article->date_modif)->format('d/m/Y H:i:s') : '' ) }}</td>
                                <td>
                                    @if (isset($article->id_article))
                                        <a href="{{ route('admin.article.edit', $article->id_article) }}" target="_self"><button class="btn btn-default btn-sm"><i class="fa fa-pencil"></i></button></a>
                                        @can('gate-admin')
                                            <button class="btn btn-danger btn-sm" value="{{ $article->id_article }}"><i class="fa fa-trash-o"></i></button>
                                        @endcan
                                    @endif
                                </td>
                            </tr>
                            @endforeach
                            </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->


@endsection

@section('js')

<!-- DataTables -->
<script src="{{ asset('js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('js/dataTables.bootstrap.min.js') }}"></script>
<!-- SlimScroll -->
<script src="{{ asset('js/jquery.slimscroll.min.js') }}"></script>

<script>
$(function () {
//$("#example1").DataTable();
    $('#articles').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": true,
        "pageLength": 15,
        "order": [[4, "desc"]],
//    "lengthMenu": [ [20, 35, 50, -1], [20, 35, 50, "All"] ]

        "language":
                {
                    "sProcessing": "Traitement en cours...",
                    "sSearch": "Rechercher&nbsp;:",
                    "sLengthMenu": "Afficher _MENU_ &eacute;l&eacute;ments",
                    "sInfo": "Affichage de l'&eacute;l&eacute;ment _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
                    "sInfoEmpty": "Affichage de l'&eacute;l&eacute;ment 0 &agrave; 0 sur 0 &eacute;l&eacute;ment",
                    "sInfoFiltered": "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
                    "sInfoPostFix": "",
                    "sLoadingRecords": "Chargement en cours...",
                    "sZeroRecords": "Aucun &eacute;l&eacute;ment &agrave; afficher",
                    "sEmptyTable": "Aucune donn&eacute;e disponible dans le tableau",
                    "oPaginate": {
                        "sFirst": "Premier",
                        "sPrevious": "Pr&eacute;c&eacute;dent",
                        "sNext": "Suivant",
                        "sLast": "Dernier"
                    },
                    "oAria": {
                        "sSortAscending": ": activer pour trier la colonne par ordre croissant",
                        "sSortDescending": ": activer pour trier la colonne par ordre d&eacute;croissant"
                    }
                }

    });

});
</script>

@endsection
@section('css')
<!-- DataTables -->
<link rel="stylesheet" href="{{ asset('css/dataTables.bootstrap.min.css') }}">
@endsection